<?php
/**
 * Testimonials block patterns.
 *
 * @package twentig
 * @phpcs:disable Squiz.Strings.DoubleQuoteUsage.NotRequired
 */

twentig_register_block_pattern(
	'twentig/testimonials-list-with-separator',
	array(
		'title'      => __( 'Testimonials: List with Separator', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center","style":{"spacing":{"margin":{"bottom":"50px"}}}} --><h2 class="has-text-align-center" style="margin-bottom:50px">' . esc_html_x( 'Testimonials', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote is-style-plain" style="font-style:normal;font-weight:600"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Duis enim elit porttitor id feugiat at blandit at erat."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --><!-- wp:separator {"className":"is-style-wide"} --><hr class="wp-block-separator is-style-wide"/><!-- /wp:separator --><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote is-style-plain" style="font-style:normal;font-weight:600"><p>"Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit."</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --><!-- wp:separator {"className":"is-style-wide"} --><hr class="wp-block-separator is-style-wide"/><!-- /wp:separator --><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote is-style-plain" style="font-style:normal;font-weight:600"><p>"Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero varius libero sit amet."</p><cite>Richard Garcia, ' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-list-with-large-quote',
	array(
		'title'      => __( 'Testimonials: List with Large Quote', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","style":{"spacing":{"blockGap":"60px"}},"layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:quote {"align":"center","className":"is-style-plain","style":{"typography":{"fontSize":"1.5rem","lineHeight":"1.3","fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote has-text-align-center is-style-plain" style="font-size:1.5rem;font-style:normal;font-weight:600;line-height:1.3"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod tempor incididunt ut labore dolore. Duis enim elit porttitor id feugiat."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --><!-- wp:quote {"align":"center","className":"is-style-plain","style":{"typography":{"fontSize":"1.5rem","lineHeight":"1.3","fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote has-text-align-center is-style-plain" style="font-size:1.5rem;font-style:normal;font-weight:600;line-height:1.3"><p>"Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien."</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --><!-- wp:quote {"align":"center","className":"is-style-plain","style":{"typography":{"fontSize":"1.5rem","lineHeight":"1.3","fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote has-text-align-center is-style-plain" style="font-size:1.5rem;font-style:normal;font-weight:600;line-height:1.3"><p>"Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit."</p><cite>Richard Garcia, ' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonial-colored-background',
	array(
		'title'      => __( 'Testimonial: Colored Background', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","backgroundColor":"tertiary","layout":{"inherit":true}} --><div class="wp-block-group alignfull has-tertiary-background-color has-background"><!-- wp:quote {"align":"center","className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.3"}},"fontSize":"x-large"} --><blockquote class="wp-block-quote has-text-align-center is-style-plain has-x-large-font-size" style="font-style:normal;font-weight:600;line-height:1.3"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod tempor incididunt ut labore dolore. Duis enim elit porttitor."</p></blockquote><!-- /wp:quote --><!-- wp:group {"style":{"spacing":{"blockGap":"12px"}},"layout":{"type":"flex","allowOrientation":false,"justifyContent":"center"}} --><div class="wp-block-group"><!-- wp:image {"width":48,"height":48,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="48" height="48"/></figure><!-- /wp:image --><!-- wp:paragraph {"style":{"typography":{"fontStyle":"normal","fontWeight":"600"}},"fontSize":"small"} --><p class="has-small-font-size" style="font-style:normal;font-weight:600">David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:group --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonial-cover',
	array(
		'title'      => __( 'Testimonial: Cover', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:cover {"url":"' . twentig_get_pattern_asset( 'wide.jpg' ) . '","dimRatio":60,"minHeight":500,"align":"full"} --><div class="wp-block-cover alignfull" style="min-height:500px"><span aria-hidden="true" class="has-background-dim-60 wp-block-cover__gradient-background has-background-dim"></span><img class="wp-block-cover__image-background" alt="" src="' . twentig_get_pattern_asset( 'wide.jpg' ) . '" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:group {"layout":{"inherit":false,"contentSize":"1000px"}} --><div class="wp-block-group"><!-- wp:quote {"align":"center","className":"is-style-plain","style":{"typography":{"lineHeight":"1.2","fontStyle":"normal","fontWeight":"600"}},"fontSize":"xx-large"} --><blockquote class="wp-block-quote has-text-align-center is-style-plain has-xx-large-font-size" style="font-style:normal;font-weight:600;line-height:1.2"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod tempor incididunt ut labore dolore."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:group --></div></div><!-- /wp:cover -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonial-image-on-left',
	array(
		'title'      => __( 'Testimonial: Image on Left', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:media-text {"mediaType":"image","twStackedMd":true} --><div class="wp-block-media-text alignwide is-stacked-on-mobile tw-stack-md"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.3"}},"fontSize":"large"} --><blockquote class="wp-block-quote is-style-plain has-large-font-size" style="font-style:normal;font-weight:600;line-height:1.3"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod tempor incididunt ut labore dolore. Duis enim elit porttitor feugiat."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote>		<!-- /wp:quote --></div></div><!-- /wp:media-text --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonial-image-on-right',
	array(
		'title'      => __( 'Testimonial: Image on Right', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:media-text {"mediaPosition":"right","mediaType":"image","twStackedMd":true} --><div class="wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile tw-stack-md"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.3"}},"fontSize":"large"} --><blockquote class="wp-block-quote is-style-plain has-large-font-size" style="font-style:normal;font-weight:600;line-height:1.3"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod tempor incididunt ut labore dolore. Duis enim elit porttitor feugiat."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div></div><!-- /wp:media-text --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-overlap-image',
	array(
		'title'      => __( 'Testimonials: Overlap Image', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Testimonials', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:media-text {"backgroundColor":"tertiary","mediaType":"image","mediaWidth":56,"className":"is-style-tw-overlap","twStackedMd":true} --><div class="wp-block-media-text alignwide has-background has-tertiary-background-color is-stacked-on-mobile is-style-tw-overlap tw-stack-md" style="grid-template-columns:56% auto"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.3"}},"fontSize":"large"} --><blockquote class="wp-block-quote is-style-plain has-large-font-size" style="font-style:normal;font-weight:600;line-height:1.3"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod tempor incididunt ut labore dolore. Duis enim elit porttitor id feugiat."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div></div><!-- /wp:media-text --><!-- wp:media-text {"backgroundColor":"tertiary","mediaPosition":"right","mediaType":"image","mediaWidth":56,"className":"is-style-tw-overlap","twStackedMd":true} --><div class="wp-block-media-text alignwide has-media-on-the-right has-background has-tertiary-background-color is-stacked-on-mobile is-style-tw-overlap tw-stack-md" style="grid-template-columns:auto 56%"><figure class="wp-block-media-text__media"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.3"}},"fontSize":"large"} --><blockquote class="wp-block-quote is-style-plain has-large-font-size" style="font-style:normal;font-weight:600;line-height:1.3"><p>"Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien."</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div></div><!-- /wp:media-text --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-2-columns-x-2',
	array(
		'title'      => __( 'Testimonials 2 Columns x 2', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'What our customers are saying about us', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twGutter":"large"} --><div class="wp-block-columns alignwide tw-gutter-large"><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"align":"center","className":"is-style-tw-icon","style":{"typography":{"lineHeight":1.4,"fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote has-text-align-center is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod tempor incididunt ut labore dolore.</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"align":"center","className":"is-style-tw-icon","style":{"typography":{"lineHeight":1.4,"fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote has-text-align-center is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien.</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twGutter":"large"} --><div class="wp-block-columns alignwide tw-gutter-large"><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"align":"center","className":"is-style-tw-icon","style":{"typography":{"lineHeight":1.4,"fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote has-text-align-center is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit.</p><cite>Richard Garcia, ' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"align":"center","className":"is-style-tw-icon","style":{"typography":{"lineHeight":1.4,"fontStyle":"normal","fontWeight":"600"}}} --><blockquote class="wp-block-quote has-text-align-center is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Duis enim elit porttitor id feugiat at blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet.</p><cite>James Clark, ' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-2-columns',
	array(
		'title'      => __( 'Testimonials 2 Columns: Masonry', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:columns {"align":"wide"} --><div class="wp-block-columns alignwide"><!-- wp:column --><div class="wp-block-column"><!-- wp:group {"style":{"border":{"radius":"16px"},"spacing":{"padding":{"top":"24px","right":"24px","bottom":"24px","left":"24px"},"blockGap":"20px"}},"backgroundColor":"tertiary"} --><div class="wp-block-group has-tertiary-background-color has-background" style="border-radius:16px;padding-top:24px;padding-right:24px;padding-bottom:24px;padding-left:24px"><!-- wp:quote {"className":"is-style-plain"} --><blockquote class="wp-block-quote is-style-plain"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod tempor incididunt ut labore dolore. Duis enim elit porttitor id feugiat. Mauris dui tellus mollis quis varius sit amet ultrices in leo rhoncus."</p></blockquote><!-- /wp:quote --><!-- wp:group {"style":{"spacing":{"blockGap":"12px"}},"layout":{"type":"flex","allowOrientation":false}} --><div class="wp-block-group"><!-- wp:image {"width":48,"height":48,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="48" height="48"/></figure><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size"><strong>David Lin</strong><br>' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:group --></div><!-- /wp:group --><!-- wp:group {"style":{"spacing":{"padding":{"top":"24px","right":"24px","bottom":"24px","left":"24px"},"blockGap":"20px"},"border":{"radius":"16px"}},"backgroundColor":"tertiary","className":"tw-mt-5"} --><div class="wp-block-group tw-mt-5 has-tertiary-background-color has-background" style="border-radius:16px;padding-top:24px;padding-right:24px;padding-bottom:24px;padding-left:24px"><!-- wp:quote {"className":"is-style-plain"} --><blockquote class="wp-block-quote is-style-plain"><p>"Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien."</p></blockquote><!-- /wp:quote --><!-- wp:group {"style":{"spacing":{"blockGap":"12px"}},"layout":{"type":"flex","allowOrientation":false}} --><div class="wp-block-group"><!-- wp:image {"width":48,"height":48,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="48" height="48"/></figure><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size"><strong>Emily Patel</strong><br>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:group --></div><!-- /wp:group --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:group {"style":{"spacing":{"padding":{"top":"24px","right":"24px","bottom":"24px","left":"24px"},"blockGap":"20px"},"border":{"radius":"16px"}},"backgroundColor":"tertiary"} --><div class="wp-block-group has-tertiary-background-color has-background" style="border-radius:16px;padding-top:24px;padding-right:24px;padding-bottom:24px;padding-left:24px"><!-- wp:quote {"className":"is-style-plain"} --><blockquote class="wp-block-quote is-style-plain"><p>"Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit."</p></blockquote><!-- /wp:quote --><!-- wp:group {"style":{"spacing":{"blockGap":"12px"}},"layout":{"type":"flex","allowOrientation":false}} --><div class="wp-block-group"><!-- wp:image {"width":48,"height":48,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="48" height="48"/></figure><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size"><strong>Richard Garcia</strong><br>' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:group --></div><!-- /wp:group --><!-- wp:group {"style":{"spacing":{"padding":{"top":"24px","right":"24px","bottom":"24px","left":"24px"},"blockGap":"20px"},"border":{"radius":"16px"}},"backgroundColor":"tertiary","className":"tw-mt-5"} --><div class="wp-block-group tw-mt-5 has-tertiary-background-color has-background" style="border-radius:16px;padding-top:24px;padding-right:24px;padding-bottom:24px;padding-left:24px"><!-- wp:quote {"className":"is-style-plain"} --><blockquote class="wp-block-quote is-style-plain"><p>"Duis enim elit porttitor id feugiat at blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet. Fusce sed magna eu ligula commodo hendrerit fringilla purus."</p></blockquote><!-- /wp:quote --><!-- wp:group {"style":{"spacing":{"blockGap":"12px"}},"layout":{"type":"flex","allowOrientation":false}} --><div class="wp-block-group"><!-- wp:image {"width":48,"height":48,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="48" height="48"/></figure><!-- /wp:image --><!-- wp:paragraph {"fontSize":"small"} --><p class="has-small-font-size"><strong>James Clark</strong><br>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</p><!-- /wp:paragraph --></div><!-- /wp:group --></div><!-- /wp:group --></div><!-- /wp:column --></div><!-- /wp:columns --></div>
		<!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-2-columns-image',
	array(
		'title'      => __( 'Testimonials 2 Columns: Image', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Testimonials', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide"} --><div class="wp-block-columns alignwide"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","fontSize":"1.125em","lineHeight":"1.4"}}} --><blockquote class="wp-block-quote is-style-plain" style="font-size:1.125em;font-style:normal;font-weight:600;line-height:1.4"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Duis enim elit porttitor id feugiat."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","fontSize":"1.125em","lineHeight":"1.4"}}} --><blockquote class="wp-block-quote is-style-plain" style="font-size:1.125em;font-style:normal;font-weight:600;line-height:1.4"><p>"Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero varius libero sit amet."</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-2-columns-cover',
	array(
		'title'      => __( 'Testimonials 2 Columns: Cover', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:columns {"align":"wide","twStack":"md"} --><div class="wp-block-columns alignwide tw-cols-stack-md"><!-- wp:column --><div class="wp-block-column"><!-- wp:cover {"url":"' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '","dimRatio":60,"contentPosition":"bottom left"} --><div class="wp-block-cover has-custom-content-position is-position-bottom-left"><span aria-hidden="true" class="has-background-dim-60 wp-block-cover__gradient-background has-background-dim"></span><img class="wp-block-cover__image-background" alt="" src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.3"}},"fontSize":"large"} --><blockquote class="wp-block-quote is-style-plain has-large-font-size" style="font-style:normal;font-weight:600;line-height:1.3"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod tempor incididunt ut dolore."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div></div><!-- /wp:cover --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:cover {"url":"' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '","dimRatio":60,"contentPosition":"bottom left"} --><div class="wp-block-cover has-custom-content-position is-position-bottom-left"><span aria-hidden="true" class="has-background-dim-60 wp-block-cover__gradient-background has-background-dim"></span><img class="wp-block-cover__image-background" alt="" src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" data-object-fit="cover"/><div class="wp-block-cover__inner-container"><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"lineHeight":"1.3","fontStyle":"normal","fontWeight":"600"}},"fontSize":"large"} --><blockquote class="wp-block-quote is-style-plain has-large-font-size" style="font-style:normal;font-weight:600;line-height:1.3"><p>"Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna congue velit."</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div></div><!-- /wp:cover --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-3-columns-x-2',
	array(
		'title'      => __( 'Testimonials 3 Columns x 2', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'What our customers are saying about us', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twStack":"sm"} --><div class="wp-block-columns alignwide tw-cols-stack-sm"><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"className":"is-style-tw-icon","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Duis enim elit porttitor id feugiat.</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"className":"is-style-tw-icon","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit.</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"className":"is-style-tw-icon","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero varius libero sit amet.</p><cite>James Clark, ' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --></div><!-- /wp:columns --><!-- wp:columns {"align":"wide","twStack":"sm"} --><div class="wp-block-columns alignwide tw-cols-stack-sm"><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"className":"is-style-tw-icon","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Duis enim elit, porttitor id feugiat at, blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet.</p><cite>Julie Miller, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"className":"is-style-tw-icon","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Fusce sed magna eu ligula commodo hendrerit fringilla ac purus. Integer sagittis efficitur rhoncus justo vehicula sapien.</p><cite>Eric Wilson, ' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"className":"is-style-tw-icon","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Mauris dui tellus mollis quis varius sit amet ultrices in leo. Cras et purus sit amet velit congue convallis nec id diam.</p><cite>Richard Garcia, ' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-3-columns-card-with-icon',
	array(
		'title'      => __( 'Testimonials 3 Columns: Card with Icon', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'What our customers are saying about us', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twColumnStyle":"card-border"} --><div class="wp-block-columns alignwide tw-cols-card tw-cols-card-border"><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"className":"is-style-tw-icon","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Duis enim elit porttitor id feugiat.</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"className":"is-style-tw-icon","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit. Proin varius libero diam laoreet. </p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:quote {"className":"is-style-tw-icon","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-tw-icon" style="font-style:normal;font-weight:600;line-height:1.4"><p>Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero varius libero sit amet.</p><cite>Richard Garcia, ' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-3-columns-card-with-thumbnail',
	array(
		'title'      => __( 'Testimonials 3 Columns: Card with Thumbnail', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Testimonials', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","className":"tw-justify-center","twColumnStyle":"card-shadow"} --><div class="wp-block-columns alignwide tw-justify-center tw-cols-card tw-cols-card-shadow"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","width":60,"height":60,"className":"is-style-rounded"} --><div class="wp-block-image is-style-rounded"><figure class="aligncenter is-resized"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="60" height="60"/></figure></div><!-- /wp:image --><!-- wp:quote {"align":"center","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote has-text-align-center" style="font-style:normal;font-weight:600;line-height:1.4"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Duis enim elit porttitor id feugiat."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","width":60,"height":60,"className":"is-style-rounded"} --><div class="wp-block-image is-style-rounded"><figure class="aligncenter is-resized"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="60" height="60"/></figure></div><!-- /wp:image --><!-- wp:quote {"align":"center","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote has-text-align-center" style="font-style:normal;font-weight:600;line-height:1.4"><p>"Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit."</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . ' </cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"align":"center","width":60,"height":60,"className":"is-style-rounded"} --><div class="wp-block-image is-style-rounded"><figure class="aligncenter is-resized"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="60" height="60"/></figure></div><!-- /wp:image --><!-- wp:quote {"align":"center","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote has-text-align-center" style="font-style:normal;font-weight:600;line-height:1.4"><p>"Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero varius libero sit amet."</p><cite>Richard Garcia, ' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-3-columns-card-with-image',
	array(
		'title'      => __( 'Testimonials 3 Columns: Card with Image', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'Testimonials', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide","twColumnStyle":"card-shadow","twStretchedMedia":true} --><div class="wp-block-columns alignwide tw-cols-card tw-cols-card-shadow tw-stretched-media"><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.4"}}} --><blockquote class="wp-block-quote is-style-plain" style="font-style:normal;font-weight:600;line-height:1.4"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore. Duis enim elit porttitor id feugiat."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.4"}}} --><blockquote class="wp-block-quote is-style-plain" style="font-style:normal;font-weight:600;line-height:1.4"><p>"Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit."</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image --><figure class="wp-block-image"><img src="' . twentig_get_pattern_asset( 'profile.jpg' ) . '" alt=""/></figure><!-- /wp:image --><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.4"}}} --><blockquote class="wp-block-quote is-style-plain" style="font-style:normal;font-weight:600;line-height:1.4"><p>"Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero varius libero sit amet."</p><cite>Richard Garcia, ' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-4-columns-thumbnail',
	array(
		'title'      => __( 'Testimonials 4 Columns: Thumbnail', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'What our customers are saying about us', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:columns {"align":"wide"} --><div class="wp-block-columns alignwide"><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"width":60,"height":60,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="60" height="60"/></figure><!-- /wp:image --><!-- wp:quote {"className":"is-style-plain"} --><blockquote class="wp-block-quote is-style-plain"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore."</p><cite><strong>David Lin</strong><br>' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"width":60,"height":60,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="60" height="60"/></figure><!-- /wp:image --><!-- wp:quote {"className":"is-style-plain"} --><blockquote class="wp-block-quote is-style-plain"><p>"Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit."</p><cite><strong>Emily Patel</strong><br>' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"width":60,"height":60,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="60" height="60"/></figure><!-- /wp:image --><!-- wp:quote {"className":"is-style-plain"} --><blockquote class="wp-block-quote is-style-plain"><p>"Aliquam tempus mi nulla porta luctus. Sed non neque at lectus bibendum blandit. Morbi fringilla sapien libero varius."</p><cite><strong>Richard Garcia</strong><br>' . esc_html_x( 'Photographer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --><!-- wp:column --><div class="wp-block-column"><!-- wp:image {"width":60,"height":60,"className":"is-style-rounded"} --><figure class="wp-block-image is-resized is-style-rounded"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt="" width="60" height="60"/></figure><!-- /wp:image --><!-- wp:quote {"className":"is-style-plain"} --><blockquote class="wp-block-quote is-style-plain"><p>"Duis enim elit porttitor id feugiat at blandit at erat. Proin varius libero sit amet tortor volutpat diam laoreet."</p><cite><strong>James Clark</strong><br>' . esc_html_x( 'Designer', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div><!-- /wp:column --></div><!-- /wp:columns --></div><!-- /wp:group -->',
	)
);

twentig_register_block_pattern(
	'twentig/testimonials-card-side-image',
	array(
		'title'      => __( 'Testimonials: Horizontal Cards', 'twentig' ),
		'categories' => array( 'testimonials' ),
		'content'    => '<!-- wp:group {"align":"full","style":{"spacing":{"blockGap":"60px"}},"layout":{"inherit":true}} --><div class="wp-block-group alignfull"><!-- wp:heading {"textAlign":"center"} --><h2 class="has-text-align-center">' . esc_html_x( 'What our customers are saying about us', 'Block pattern content', 'twentig' ) . '</h2><!-- /wp:heading --><!-- wp:media-text {"align":"","mediaType":"image","mediaWidth":35,"verticalAlignment":"center","imageFill":true,"className":"is-style-tw-shadow"} --><div class="wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center is-image-fill is-style-tw-shadow" style="grid-template-columns:35% auto"><figure class="wp-block-media-text__media" style="background-image:url(' . twentig_get_pattern_asset( 'profile-square.jpg' ) . ');background-position:50% 50%"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":1.4}}} --><blockquote class="wp-block-quote is-style-plain" style="font-style:normal;font-weight:600;line-height:1.4"><p>"Lorem ipsum dolor sit amet, commodo erat adipiscing elit. Sed do eiusmod ut tempor incididunt ut labore et dolore."</p><cite>David Lin, ' . esc_html_x( 'Teacher', 'Block pattern content - Referring to a man', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div></div><!-- /wp:media-text --><!-- wp:media-text {"align":"","mediaType":"image","mediaWidth":35,"verticalAlignment":"center","imageFill":true,"className":"is-style-tw-shadow"} --><div class="wp-block-media-text is-stacked-on-mobile is-vertically-aligned-center is-image-fill is-style-tw-shadow" style="grid-template-columns:35% auto"><figure class="wp-block-media-text__media" style="background-image:url(' . twentig_get_pattern_asset( 'profile-square.jpg' ) . ');background-position:50% 50%"><img src="' . twentig_get_pattern_asset( 'profile-square.jpg' ) . '" alt=""/></figure><div class="wp-block-media-text__content"><!-- wp:quote {"className":"is-style-plain","style":{"typography":{"fontStyle":"normal","fontWeight":"600","lineHeight":"1.4"}}} --><blockquote class="wp-block-quote is-style-plain" style="font-style:normal;font-weight:600;line-height:1.4"><p>"Integer enim risus suscipit eu iaculis sed ullamcorper at metus. Venenatis nec convallis magna eu congue velit."</p><cite>Emily Patel, ' . esc_html_x( 'Developer', 'Block pattern content - Referring to a woman', 'twentig' ) . '</cite></blockquote><!-- /wp:quote --></div></div><!-- /wp:media-text --></div><!-- /wp:group -->',
	)
);

